Two-finger scrolling and click-and-drag no longer works after resuming from suspend

Bug #1722478 reported by Ghislain Vaillant
756
This bug affects 109 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Medium
kmod (Ubuntu)
Confirmed
Undecided
Unassigned
linux (Ubuntu)
Invalid
Medium
Unassigned

Bug Description

I own a Thinkpad T440p onto which I have had Debian 9 running without hardware issues. I have recently installed Ubuntu 17.10 final beta to test it out, but two-finger scrolling does not work at the moment. It used to work out-of-the-box from the final beta iso, but a subsequent update broke it.

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: linux-image-4.13.0-12-generic 4.13.0-12.13 [modified: boot/vmlinuz-4.13.0-12-generic]
ProcVersionSignature: Ubuntu 4.13.0-12.13-generic 4.13.3
Uname: Linux 4.13.0-12-generic x86_64
ApportVersion: 2.20.7-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: ghislain 10620 F.... pulseaudio
 /dev/snd/controlC0: ghislain 10620 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
Date: Tue Oct 10 09:20:01 2017
HibernationDevice: RESUME=UUID=ae4cca1e-80ef-4a1e-87e3-0a860b49492e
InstallationDate: Installed on 2017-10-05 (4 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170926)
MachineType: LENOVO 20AN00C1UK
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.13.0-12-generic root=/dev/mapper/doc1485--lap--vg-root ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.13.0-12-generic N/A
 linux-backports-modules-4.13.0-12-generic N/A
 linux-firmware 1.169
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/31/2016
dmi.bios.vendor: LENOVO
dmi.bios.version: GLET83WW (2.37 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20AN00C1UK
dmi.board.vendor: LENOVO
dmi.board.version: SDK0E50510 WIN
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrGLET83WW(2.37):bd03/31/2016:svnLENOVO:pn20AN00C1UK:pvrThinkPadT440p:rvnLENOVO:rn20AN00C1UK:rvrSDK0E50510WIN:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.family: ThinkPad T440p
dmi.product.name: 20AN00C1UK
dmi.product.version: ThinkPad T440p
dmi.sys.vendor: LENOVO

Revision history for this message
Ghislain Vaillant (ghisvail) wrote :
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
Ghislain Vaillant (ghisvail) wrote : Re: Two-finger scrolling no longer works with Ubuntu 17.10

I managed to get two-finger scrolling working after installing the Intel microcode firmware package.

No idea whether this is a true fix for it or just luck though.

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Revision history for this message
Ghislain Vaillant (ghisvail) wrote :

Sigh, and it broke again after this morning's updates and a reboot. Here is a list of the updates in question if it can be of any help:

Start-Date: 2017-10-11 09:06:14
Commandline: apt upgrade
Requested-By: ghislain (1000)
Upgrade: poppler-utils:amd64 (0.57.0-2ubuntu2, 0.57.0-2ubuntu4), libseccomp2:amd64 (2.3.1-2.1ubuntu2, 2.3.1-2.1ubuntu3), update-manager-core:amd64 (1:17.10.10, 1:17.10.11), gnome-session-common:amd64 (3.26.1-0ubuntu1, 3.26.1-0ubuntu2), gir1.2-mutter-1:amd64 (3.26.1-1, 3.26.1-2), update-manager:amd64 (1:17.10.10, 1:17.10.11), libmutter-1-0:amd64 (3.26.1-1, 3.26.1-2), ubuntu-session:amd64 (3.26.1-0ubuntu1, 3.26.1-0ubuntu2), mutter-common:amd64 (3.26.1-1, 3.26.1-2), ubuntu-docs:amd64 (17.10.6, 17.10.7), python3-distupgrade:amd64 (1:17.10.6, 1:17.10.7), python3-update-manager:amd64 (1:17.10.10, 1:17.10.11), ubuntu-release-upgrader-core:amd64 (1:17.10.6, 1:17.10.7), gnome-session-bin:amd64 (3.26.1-0ubuntu1, 3.26.1-0ubuntu2), libjpeg-turbo8:amd64 (1.5.2-0ubuntu3, 1.5.2-0ubuntu4), ubuntu-release-upgrader-gtk:amd64 (1:17.10.6, 1:17.10.7), unattended-upgrades:amd64 (0.97ubuntu2, 0.98ubuntu1), libpoppler-glib8:amd64 (0.57.0-2ubuntu2, 0.57.0-2ubuntu4), libpoppler68:amd64 (0.57.0-2ubuntu2, 0.57.0-2ubuntu4), mutter:amd64 (3.26.1-1, 3.26.1-2), libclutter-gtk-1.0-0:amd64 (1.8.4-1, 1.8.4-2)
End-Date: 2017-10-11 09:06:23

Since these updates, I can no longer use two-finger scrolling but still can enable edge-scrolling as a substitute.

Revision history for this message
Ghislain Vaillant (ghisvail) wrote :

Now it's back after the latest kernel update.

Revision history for this message
Ghislain Vaillant (ghisvail) wrote :

And it's gone again :(

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

Does "synclient HorizTwoFingerScroll=1" work?

Revision history for this message
Ghislain Vaillant (ghisvail) wrote :

> Does "synclient HorizTwoFingerScroll=1" work?

No, since xserver-xorg-input-synaptics is not installed by default. Two-finger scrolling used to work without it, so I don't think that's where the solution is.

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

Maybe try xserver-xorg-input-evdev instead of xserver-xorg-input-libinput?

Revision history for this message
Ghislain Vaillant (ghisvail) wrote : Re: Two-finger scrolling no longer works after resuming from suspend

I found a reproducible setup for this bug: I can get 2-finger scrolling to work after a fresh boot, but it stops working after resuming from suspend.

summary: - Two-finger scrolling no longer works with Ubuntu 17.10
+ Two-finger scrolling no longer works after resuming from suspend
Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :
Revision history for this message
Ghislain Vaillant (ghisvail) wrote :

I have installed your kernel:

$ uname -r
4.13.0-17-generic

Still, two-finger scrolling does not work after suspend/resume.

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

You need to do a kernel bisection then.

Find the first mainline kernel release that make your touchpad cease to work in http://kernel.ubuntu.com/~kernel-ppa/mainline/

Revision history for this message
Ghislain Vaillant (ghisvail) wrote :

I suppose I should start at kernel 4.10, since it was working with kernel 4.9 on Debian Stretch.

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

Make sure v4.9 is good and v4.10 is bad, then find the first version of v4.10-rc* that has this problem.

Revision history for this message
Jean Demange (jea-demange) wrote :

The bug affects me as well, same machine. In the mean time, to avoid rebooting, you can reload the module, as super user:
modprobe -r psmouse
modprobe psmouse
This fix the problem for me.

Revision history for this message
Thorsten (thorstenr-42) wrote :

also affects me! I am using thinkpad t440s

Revision history for this message
Thorsten (thorstenr-42) wrote :
Revision history for this message
Sheldon Johnson (shayolden) wrote :

Also affects me on a Thinkpad T440 in Ubuntu 17.10

Revision history for this message
Thorsten (thorstenr-42) wrote :

so i tested some kernels from http://kernel.ubuntu.com/~kernel-ppa/mainline/

and found:
4.11.12 -- working
4.12-rc1 -- bug occurs

i tested it by installing a specific kernel and first verified that two finger scrolling is working and then tested if it is still working after a suspend/resume.
What would be the next necessary steps to identify which commit causes this bug?

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

First, make sure 4.11 is working.

I can build kernel for you, but it will take a dozen iterations.

It can be much faster if you build your own kernel locally,
$ sudo apt install git
$ sudo apt build-dep linux
$ git clone git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
$ cd linux
$ git bisect start
$ git bisect good v4.11
$ git bisect bad v4.12-rc1
$ make localmodconfig
$ make -j`nproc` deb-pkg
Install the newly built kernel.
If the issue still happens,
$ git bisect bad
...otherwise,
$ git bisect good
Repeat to "make -j`nproc` deb-pkg" until you find the commit that causes the regression.

Revision history for this message
Willem Vermeylen (fgod1983) wrote :

having the same issue with my t440p thinkpad after updating from 17.04 to 17.10...

can somebody please explain how i install the working kernel (4.11.12) were Thorsten was talking about? Because this bug is really annoying as this is my working laptop...

Revision history for this message
Ghislain Vaillant (ghisvail) wrote :

@fgod1983

Download the .deb files for amd64 listed in http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11.12/. Open a terminal in your download folder and run `apt install ./linux*4.11.12*.deb`. After the install is completed, reboot your laptop, and select kernel 4.11.12 in the grub selection window early in the boot stage. You might have to press the shift hey to display the kernel selection, which is hidden by default in Ubuntu (plain purple window at boot).

Revision history for this message
Thorsten (thorstenr-42) wrote :

@ kaihengfeng

So i did the bisecting as you described (thanks for that!) and I hope that i did everything right. For the questions during the config i always just pressed enter so that the default choice is used.
It's the first time i did this so please be skeptical with my findings!

So after a hours of building kernels, i got the following results:

first bad commit: [0be75179df5e20306528800fc7c6a504b12b97db] Merge tag 'driver-core-4.12-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/driver-core

To verify the result i booted the default kernel and removed all self build kernels. Afterwards
i checkout the last good commit (according to the bisect log):

 $ git checkout 523aa3586ffb1fc11a9bf88f77ebaf71a15eb998

and build a kernel and tested this -> is working

Then the same with the first bad commit:

 $ git checkout 0be75179df5e20306528800fc7c6a504b12b97db

again build a kernel and tested this -> not working.

What i find strange is, if i count the number of commits betweens these two hashes i get the following:

 $ git rev-list 0be75179df5e20306528800fc7c6a504b12b97db ^523aa3586ffb1fc11a9bf88f77ebaf71a15eb998 --count
 8860

I thought bisecting would give me more precisely the wrong commit? So what are the next steps?

@ fgod1983/ghisvail
    better only use the gernic parts and not the lowlatency stuff, for example i only download:

    - linux-headers-4.11.12-041112_4.11.12-041112.201707210350_all.deb
    - linux-headers-4.11.12-041112-generic_4.11.12-041112.201707210350_amd64.deb
    - linux-image-4.11.12-041112-generic_4.11.12-041112.201707210350_amd64.deb

    into one new folder and then used

      $sudo dpkg -i *.deb

    in this folder. However, non default kernels mean you have to update the kernel manually, so maybe default kernel and as described above

      $ sudo modprobe -r psmouse
      $ sudo modprobe psmouse

    is the better choice in the meantime (or use ubuntu lts)

Revision history for this message
Willem Vermeylen (fgod1983) wrote :

the modprobe trick works (thank god), this helps a lot! I will see if i can install the kernel that does work and see how this works with all the rest of my laptop!

thanks for the info guys! I sure hope this is getting fixed soon though :)

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

Thorsten,

That means something went wrong in the bisection process.
Probably the issue does not happen all the time?

Here's my suggestion:
- Instead of warm boot (reboot), always do a cold boot (shutdown then boot).
- Test with more S3 cycles before next bisect.

Revision history for this message
Thorsten (thorstenr-42) wrote :

Hi, so i have tried it again with much more testing etc. However, i got some problems and i had to abort bisecting

so the last good commit was a71c9a1c779f
and the last bad commit was 03b22057e8ed

The amount of commits between these two hashes:

git rev-list ^a71c9a1c779f 03b22057e8ed --count
58

I checkout these two commits again manually and build the kernels again. And verified it.

Then next commit was a01cd17000a4 and this one fails to build:

  CC [M] drivers/gpu/drm/nouveau/dispnv04/tvnv04.o
  CC [M] drivers/gpu/drm/nouveau/dispnv04/tvnv17.o
  LD [M] drivers/gpu/drm/nouveau/nouveau.o
  LD drivers/gpu/drm/built-in.o
  LD drivers/gpu/built-in.o
  LD drivers/built-in.o
  GEN .version
  CHK include/generated/compile.h
  UPD include/generated/compile.h
  CC init/version.o
  LD init/built-in.o
  LD vmlinux.o
  MODPOST vmlinux.o
kernel/built-in.o: In function `update_wall_time':
/home/...../linux/kernel/time/timekeeping.c:2088: undefined reference to `____ilog2_NaN'
Makefile:969: recipe for target 'vmlinux' failed
make[2]: *** [vmlinux] Error 1
scripts/package/Makefile:91: recipe for target 'deb-pkg' failed
make[1]: *** [deb-pkg] Error 2
Makefile:1329: recipe for target 'deb-pkg' failed
make: *** [deb-pkg] Error 2

what i dont understand is the distances betweens these commits:
git rev-list ^a71c9a1c779f a01cd17000a4 --count
28

git rev-list ^a01cd17000a4 03b22057e8ed --count
13959

Does this make any sense? so i don't know how to get any further...

Revision history for this message
Jan Ypma (jypma) wrote :

Also affects me (T540p) on 4.13.11-1-ARCH (arch linux default), since a recent (kernel?) upgrade. Modprobe workaround works for me.

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

Checking the commits between from a71c9a1c779f to 03b22057e8ed, this one looks very suspicious.
Can you revert this commit and see if this the culprit?

commit 0ab3fa57425023f42e8822a293d9b87a3ad4e2b3
Author: Dmitry Torokhov <email address hidden>
Date: Sun Mar 5 23:19:22 2017 -0800

    Input: psmouse - implement fast reconnect option

    Make use of serio's fast reconnect option and allow psmouse protocol
    handler's to implement fast reconnect handlers that will be called during
    system resume.

    Reviewed-by: Benjamin Tissoires <email address hidden>
    Signed-off-by: Dmitry Torokhov <email address hidden>

M drivers/input/mouse/psmouse-base.c
M drivers/input/mouse/psmouse.h

Revision history for this message
Thorsten (thorstenr-42) wrote :

Hi, i have some problems reverting the commit. This is what i did:

$ git checkout 03b22057e8ed

$ git revert 0ab3fa57425023f42e8822a293d9b87a3ad4e2b3

error: could not revert 0ab3fa574250... Input: psmouse - implement fast reconnect option
hint: after resolving the conflicts, mark the corrected paths
hint: with 'git add <paths>' or 'git rm <paths>'
hint: and commit the result with 'git commit'

$ git status
HEAD detached at 03b22057e8ed
You are currently reverting commit 0ab3fa574250.
  (fix conflicts and run "git revert --continue")
  (use "git revert --abort" to cancel the revert operation)

Changes to be committed:
  (use "git reset HEAD <file>..." to unstage)

 modified: drivers/input/mouse/psmouse.h

Unmerged paths:
  (use "git reset HEAD <file>..." to unstage)
  (use "git add <file>..." to mark resolution)

 both modified: drivers/input/mouse/psmouse-base.c

I didn't want to mess around with kernel files and therefore tried to build a kernel prior to this commit:

 git checkout 0ab3fa57425023f42e8822a293d9b87a3ad4e2b3^

however this doesn't build with the same error as above.

could you please supply us a kernel without this commit? maybe even v4.13.11? This would also allow others to check it?

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :
Revision history for this message
Thorsten (thorstenr-42) wrote :

Hi, thanks for the kernels. Unfortunately both are working fine :/ Was there another commit touching the psmouse-base.c between the good and bad commit (since i couldn't revert the commit easily)?

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

Use 0ab3fa57425 as good,
03b22057e8ed as bad.

Let's start a new bisection between these two commits:
http://people.canonical.com/~khfeng/lp1722478-bisect-1/

Revision history for this message
Thorsten (thorstenr-42) wrote :

hi, this kernel has the bug

Revision history for this message
Brendan Desmond (brendes) wrote :

Hi, I am running Ubuntu 17.10 GNOME with Wayland using a Thinkpad T440 as well. Installing `intel-microcode` fixed the issue immediately. I'm assuming this is proprietary code :\

Revision history for this message
André (afsverissimo) wrote :

I can confirm that the this last kernel does not work (lp1722478-bisect-1), while the previous did (fastreconnect)

On a Thinkpad T440s

ps. modprobe workaround also works, while installing intel-microcode does not (had it previously)

Revision history for this message
Brendan Desmond (brendes) wrote :

Hello again, I spoke too soon. Problem went away immediately after installing `intel-microcode` but returned after suspend and resume.

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

Sorry for the late reply, here's the next one,

http://people.canonical.com/~khfeng/lp1722478-bisect-2/

Revision history for this message
Thorsten (thorstenr-42) wrote :

Hi, this one is working fine for me!

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

Commit 6c53694fb2223746738d1d0cea71456ca88c8fb2

http://people.canonical.com/~khfeng/lp1722478-bisect-3/

information type: Public → Public Security
Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
50 comments hidden view all 130 comments
Revision history for this message
Dan Marinescu (dmarinescu) wrote :

Bug affects Ubuntu 18.10 on W540 as well. Confirm psmouse.synaptics_intertouch=0 (so called) fix. Hello, guys, we're in the 21st century, perhaps you did not have time to notice?!?

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

This will be solved once LP: #1802135 is "Fix Released".

Revision history for this message
In , admin (admin-linux-kernel-bugs) wrote :

I can confirm this issue is still present in 18.04 with a new model W540. If anyone wants me to provide any info, please let me know what you would like. Will be glad to help.

Revision history for this message
In , kai.heng.feng (kai.heng.feng-linux-kernel-bugs) wrote :

Try removing "blacklist i2c_i801" from /etc/modprobe.d/blacklist.conf.

Revision history for this message
In , admin (admin-linux-kernel-bugs) wrote :

Thanks for the tip Kai-Heng Feng. It appears this resolves the issue thus far with the two finger click issue, but it seems not to recognize the two finger scroll still however I think that should probably be a different issue.

Revision history for this message
decimus (h-matthias-u) wrote : Re: Two-finger scrolling no longer works after resuming from suspend

For Robin (brobert420), who in comment #69:

> Commenting out blacklist i2c_i801 did end with mouse not working at all after
> wakeup […]. I got an L440. Ubuntu 18.04 4.19rc1

I had the same problem with a ThinkPad T440s on Ubuntu 19.10 beta. (Just that there was no blacklist entry in /etc/modprobe.d/blacklist.conf so I used "modprobe i2c_i801" instead.)

However, when I instead use the module name with a "-" instead of "_":

    modprobe i2c-i801

then it works immediately to restore two-finger scrolling, and two-finger scrolling keeps working after a suspend-and-resume cycle.

In other news, this bug is still present in Ubuntu 19.10.

Revision history for this message
decimus (h-matthias-u) wrote :

Ok, I meant "still present in Ubuntu 19.04" in the last comment :D

Also worth mentioning: the "sudo modprobe i2c-i801" fix also restores the two-finger-tap right clicking behavior, which was also broken alongside two-finger scrolling. But there was no three-finger-tapping instead, so unlike the case how two-finger-scrolling broke.

Revision history for this message
Georgi Georgiev (chutz) wrote :

kmod (25-1ubuntu3) disco; urgency=medium

  * Drop i2c_i801 from the blacklist again, things work fine with
    current kernels. (LP: #1786574)

 -- Timo Aaltonen <email address hidden> Thu, 04 Apr 2019 11:30:14 +0300

...

The above fixed it for me.

Revision history for this message
Brent Warner (brentmwarner) wrote :

I have a T440s running 18.04.2 after I close the lid and reopen to continue session, the scrolling on my trackpad gets lagged and the pointer seems off. I have to to a restart to make things normal again. I followed the fix on comment #44 and #45 and after suspend my scroll completely stopped working. Any help or tips from the other users with T440s'?

Thanks,

Revision history for this message
Brent Warner (brentmwarner) wrote :

disregard my post. Seems to work now after I rebooted. Just tested closing the lid reopening and it works fine. I'll post on here if I find any further issues. Thanks

Revision history for this message
fredm (fredm) wrote :

The instructions in comments #44 and #45 totally solved this for me! Thank you.

Further, I think my machine is now going to sleep more reliably :)

Revision history for this message
Charney Kaye (charneykaye) wrote :

I was not having any issue with two-finger scrolling on my T560 and kernel 4.18.0-18-generic. I was trying to resolve a separate problem, that the pointing stick pointing in the center of the keyboard wasn't functioning, and would in fact cause the touchpad to stop functioning if I attempted to use it. The pointing stick's function was restored by adding psmouse.proto=imps to my bootloader options. However, now my touchpad 1) refuses to send scroll events, and 2) refuses to stop emulating mouse clicks (even after it's been disabled in tweaks). I've attempted every fix on this thread, with no success. Some of them cause the pointing stick to stop working again.

Revision history for this message
Charney Kaye (charneykaye) wrote :

Quick follower to my own #102, it turns out that my machine simply needed to be started twice with the bootloader option psmouse.proto=imps set. The first time shook something looks in Gnome which resulted in a notification appearing about a minute after boot, "software update made that require restart." After the restart, when I open my Mouse & Touchpad control panel, the two-finger/edge-scrolling/tap-to-click controls have appeared (they were hidden on the first boot!) and function correctly.

Revision history for this message
Jon Danniken (jonzilla) wrote :

Hardware: Thinkpad T440s
OS/Kernel: Kubuntu 18.04/4.15.0-52-generic
Driver: mtrack

Also experienced this bug. The temporary fix (modprobe) worked, but commenting out the "blacklist i2c_i801" line resulted in the machine not finding the touchpad on reboot.

I was able to successfully fix this issue by changing /etc/default/grub as stated in post 43.

Brad Figg (brad-figg)
tags: added: cscc
Revision history for this message
Lasha Abulashvili (webgen) wrote :

#44 & #45 solve the issue

Revision history for this message
In , Claudio Matsuoka (cmatsuoka) wrote :

Just adding a quick note that I experienced this problem on a Thinkpad T480 running 18.04, after updating to 4.15.0-62-generic. Going back to 4.15.0-55-generic fixes the issue. I didn't check -58 and -60 to see how they behave, but I should do that as soon as I have time for that. Note that it may also be a different issue with the same symptoms. This is also a SynPS/2 Synaptics device.

1 comments hidden view all 130 comments
Revision history for this message
Georgi Georgiev (chutz) wrote :

This is getting creepier. Even though as I said in comment #66 I was able to fix this with modprobe i2c-i801, it no longer works after upgrading from 5.0.0-27-generic to 5.0.0-29-generic.

However, the fix from comment #16 works.

modprobe -r psmouse
modprobe psmouse

Guilhem (alegui)
summary: - Two-finger scrolling no longer works after resuming from suspend
+ Two-finger scrolling and click-and-drag no longer works after resuming
+ from suspend
Revision history for this message
J.Gabriels (joga) wrote :

On my ThinkPad T580, I have the same issue. Two-finger scrolling no long works after suspend.
The problems started after the upgrade to kernel:
5.0.0-31-generic #33~18.04.1-Ubuntu SMP Tue Oct 1 10:20:39 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

Revision history for this message
ljetibo (ljetibo) wrote :

ThinkPad T580, trying to fix random secondary mouse button click events had me try out the xinput-xwe-18.04 package when I noticed the same problem. Randomly timed middle button clicks had not gone away.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kmod (Ubuntu):
status: New → Confirmed
Revision history for this message
Tim Richardson (tim-richardson) wrote :

With my T480 and the 5.0 ubuntu kernel, and the 5.3 in the proposed PPA, two finger scrolling does not work unless I specify psmouse.synaptics_intertouch=0
or =1
either value fixes it.

Revision history for this message
clayg (clay-gerrard) wrote :

After a reboot applied an automatic system update I applied today to my 18.04.3 LTS IBM ThinkPad X1 Carbon my mouse wasn't working!

Some comments in scripts I'd left around helped me found my way back to this bug and ...

modprobe -r i2c-i801

... fixed the immediate issue.

But I saw the "scroll doesn't work after suspend" issue again.

Right now I've un-commented the i2c_i801 in /etc/modprobe.d/blacklist.conf and I also feel like I had to REadd psmouse.synaptics_intertouch=0 in /etc/default/grub - could that have gotten overwritten on an upgrade?

Revision history for this message
Mavax (maxime-raynal) wrote :

Same issue on Ubuntu 18.04.3 (kernel 4.15.0-72) with a Lenovo Thinkpad E580.

Revision history for this message
Dan Kortschak (dan-kortschak) wrote :

Also on 18.04.3 with 5.3.0-26-generic on a clevo p650re.

Revision history for this message
In , benh (benh-linux-kernel-bugs) wrote :

The bug is still present in 5.3 (from Ubuntu). I haven't had a chance to check upstream yet. Is any maintainer monitoring this ?

Revision history for this message
Aethralis (aethralis) wrote :

I started to experience this bug now after kernel update, 4.15.0-96-generic, 18.04.4, Thinkpad-T470s.

Changed in linux (Ubuntu):
status: Incomplete → Invalid
Revision history for this message
thrantir (thrantir) wrote :

I got this issue on Ubuntu 20.04 too... on this laptop I had a similar problem on the 19.10, the touchpad didn't work at all after resum from suspend, i used to fix that calling

sudo rmmod i2c_hid
sudo modprobe i2c_hid

and it works too on this issue on 20.04, shall we provide some more informations to solve the problem at its root?

Revision history for this message
aphid (aphid) wrote :

thrantir's solution works for me in 20.04, is there a way to make this automatic on wake?

Revision history for this message
Owen Williams (ywwg) wrote :

Also seeing the same behavior on 20.04

Revision history for this message
In , jeremy9856 (jeremy9856-linux-kernel-bugs) wrote :

I have the same problem on my Thinkpad x240 with Ubuntu 20.04

Linux E5450 5.4.0-42-generic #46-Ubuntu SMP Fri Jul 10 00:24:02 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

This kernel parameter workaround "psmouse.synaptics_intertouch=0" work in the meantime (forever since it's 3 years old bug ??)

1 comments hidden view all 130 comments
Revision history for this message
In , contact.han (contact.han-linux-kernel-bugs) wrote :

I can confirm this is still very much an issue on elementary 6 based on Ubuntu LTS 20.04, also includes jittering and jumping every so often even with the kernel peramiter workaround mentioned in other comments

Revision history for this message
In , jb.kernel (jb.kernel-linux-kernel-bugs) wrote :

I've submitted a fix to the input maintainers. I've been running this since the 23rd and it seems to be fine. No need to pass any params to the driver to change the protocol or anything like that.

It's yet to be reviewed but since it's a single line change I'd hope it'll get look at at some point soon.

You can test the patch yourself in your own build.

https://patchwork.kernel.org<email address hidden>/

Revision history for this message
In , contact.han (contact.han-linux-kernel-bugs) wrote :

Created attachment 294373
attachment-28066-0.html

I'm also experiencing periodic jitteryness of the touchpad tracking, but I've no clue as to how to reproduce it. It seeming starts at random, and causes any sort of tracking to make the cursor jump vertically (oddly never horizontally) while being moved. This may be a hardware issue, but since I'm unable to test the patch I will have to try it when it gets merged.

28 Aralık 2020 Pazartesi tarihinde, 12:29 saatinde, <email address hidden> şöyle yazmış:
> https://bugzilla.kernel.org/show_bug.cgi?id=196719
>
> Justin Busby (<email address hidden>) changed:
>
> What |Removed |Added
> ----------------------------------------------------------------------------
> CC| |<email address hidden>
>
> --- Comment #15 from Justin Busby (<email address hidden>) ---
> I've submitted a fix to the input maintainers. I've been running this since
> the
> 23rd and it seems to be fine. No need to pass any params to the driver to
> change the protocol or anything like that.
>
> It's yet to be reviewed but since it's a single line change I'd hope it'll
> get
> look at at some point soon.
>
> You can test the patch yourself in your own build.
>
>
> https://patchwork.kernel.org<email address hidden>/
>
> --
> You may reply to this email to add a comment.
>
> You are receiving this mail because:
> You are on the CC list for the bug.

Revision history for this message
In , jb.kernel (jb.kernel-linux-kernel-bugs) wrote :

I sometimes get the jitter too but I've yet to find a reliable way to reproduce it.

I also get low speed jitter where the packets reported to the interrupt handler don't have new x and y coords but the pressure is changing. This results in jerkiness at very low speed which I can reliably reproduce.

This looks to some extent like h/w (or rather touchpad firmware) but i need to work my way down the input stack to convince myself of that yet.

I'm trying to work through touchpad related stuff this week as i have some spare time. I'll update if i get anywhere.

Revision history for this message
In , jeremy9856 (jeremy9856-linux-kernel-bugs) wrote :

I don't know if it's related to the jitter you experience but with these tweaks the cursor is really precise now (read both issue as they are related)

https://gitlab.freedesktop.org/libinput/libinput/-/issues/521
https://gitlab.freedesktop.org/libinput/libinput/-/issues/537

Revision history for this message
In , contact.han (contact.han-linux-kernel-bugs) wrote :

2021-01-09 (土) の 09:42 +0000 に <email address hidden>
さんは書きました:
> https://bugzilla.kernel.org/show_bug.cgi?id=196719
>
> --- Comment #18 from paviluf (<email address hidden>) ---
> I don't know if it's related to the jitter you experience but with
> these tweaks
> the cursor is really precise now (read both issue as they are
> related)
>
> https://gitlab.freedesktop.org/libinput/libinput/-/issues/521
> https://gitlab.freedesktop.org/libinput/libinput/-/issues/537
>

This seem to have fixed the issue for me, but the standing issue that
it is unusable without any modification. The average user would not
bother finding out what a GRUB config is or how to add kernel boot
perameters. Doing these sorts of things so that their touchpad (and
trackpoint) doesn't permenantly fail after they wake their laptop is
not an option.

As for the libinput modifications you made in your PR, have they been
added to the systemd source? Would that fix the jitter issues for other
users out-of-the-box?

Revision history for this message
In , jeremy9856 (jeremy9856-linux-kernel-bugs) wrote :

The libinput modifications I made have been merge to systemd

6 comments hidden view all 130 comments
Revision history for this message
Robert Jonsson (spamatica) wrote :

Thinkpad T400 with non working two finger scroll here running Kubuntu 20.04, I just wanted to comment that none of the above solutions worked for me, but one that I found buried in a youtube video did get it to work! And I just can't leave it visible ONLY in a video, it's just not right.

What it boils down to is running these three xinput commands (I'm sure someone with more knowledge can say what this actually does and possibly the corresponding configuration file settings)
xinput --set-prop --type=int --format=32 "SynPS/2 Synaptics TouchPad" "Synaptics Two-Finger Width" 8
xinput --set-prop --type=int --format=32 "SynPS/2 Synaptics TouchPad" "Synaptics Two-Finger Pressure" 4
xinput --set-prop --type=int --format=8 "SynPS/2 Synaptics TouchPad" "Synaptics Two-Finger Scrolling" 1 0

tags: added: kinetic
7 comments hidden view all 130 comments
Revision history for this message
kruisoc (kurisoc) wrote :

maybe unrelated to your issue, but my touchpad stopped working properly after using a GRUB theme installation script, on a Clevo NV41MZ, Ubuntu 18 to 22

what solved the issue for me was updating the /etc/default/grub file by changing this line :
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash acpi_os_name=Linux acpi_osi="
to this:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

(then use sudo update-grub, then reboot)

Displaying first 40 and last 40 comments. View all 130 comments or add a comment.
This report contains Public Security information  
Everyone can see this security related information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.